Bug 1569629 - WebKitWebProcess Killed by SIGSEGV
Summary: WebKitWebProcess Killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1569539
Alias: None
Product: Fedora
Classification: Fedora
Component: webkit2gtk3
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:40 UTC by Luis
Modified: 2018-06-28 08:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 10:14:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Luis 2018-04-19 15:40:30 UTC
Description of problem:
webkit2gtk3 quit unexpectedly

Version-Release number of selected component (if applicable):
2.20.1-1.fc28x86_64

How reproducible:
Inconsistently

Steps to Reproduce:
1. Open Epiphany
2. Browse various webapps (e.g.; tuleap.org, ring.cx)
3. Observe for failed loads, errors

Actual results:
Fail to load app, content

Expected results:
Load webpage without error

Additional info:
Linux localhost.localdomain 4.16.2-300.fc28.x86_64 #1 SMP Thu Apr 12 14:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Comment 1 Tomas Popela 2018-04-23 04:25:58 UTC
What's the error? Or backtrace of the WebKitWebProcess crash?

Comment 2 Luis 2018-04-23 14:46:42 UTC
(In reply to Tomas Popela from comment #1)
> What's the error? Or backtrace of the WebKitWebProcess crash?

Likely crash reason: Jump to an invalid address
Exploitable rating (0-9 scale): 6

Backtrace: <https://paste.fedoraproject.org/paste/FQ4AGY~L4GyCg9o0pPCiMA>

Comment 3 Tomas Popela 2018-04-24 10:14:09 UTC

*** This bug has been marked as a duplicate of bug 1569539 ***

Comment 4 giuse 2018-06-28 08:15:50 UTC
Same here.
How to reproduce.

1. Installed Fedora 28
2. Open Google Maps -> No satellite view available
3. Install Google Map app -> open the app -> crash

Comment 5 giuse 2018-06-28 08:17:28 UTC
Same for Chrome or Firefox Browser.
For example:
1. Open Google Map in Firefox
2. firefox quit unexpectedly

Comment 6 giuse 2018-06-28 08:18:57 UTC
solved

1. Open Dnfdragora
2. Accept all updates
3. Restart browsers


Note You need to log in before you can comment on or make changes to this bug.